{{- define "metricCollector" -}}
image:
  {{- include "stacklight.getImage" (dict "root" . "image" "metricCollector") | nindent 2 }}
  pullPolicy: IfNotPresent

kubectlImage:
  {{- include "stacklight.getImage" (dict "root" . "image" "kubectl") | nindent 2 }}
  pullPolicy: IfNotPresent

writeCollectedMetricsToConsole: {{ .Values.telemetry.metricCollector.writeCollectedMetricsToConsole }}

{{- $creds := .Values.telemetry.metricCollector.eventHubCredentials }}
{{- if or $creds.resourceURI $creds.keyName $creds.keyValue $creds.name }}
secrets:
  {{- if $creds.resourceURI }}
  eventHubResourceURI: {{ $creds.resourceURI | quote }}
  {{- end }}
  {{- if $creds.keyName }}
  eventHubKeyName: {{ $creds.keyName | quote }}
  {{- end }}
  {{- if $creds.keyValue }}
  eventHubKeyValue: {{ $creds.keyValue | quote }}
  {{- end }}
  {{- if $creds.name }}
  eventHubName: {{ $creds.name | quote }}
  {{- end }}
{{- end }}

httpProxyDiscovery:
  enabled: {{ .Values.global.proxy.enabled }}
  secretName: {{ .Values.global.proxy.secretName }}
  checksum: {{ .Values.global.proxy.hash }}

{{- include "stacklight.resources" (dict "inTplValues" .Values "service" "metricCollector") }}
{{- include "stacklight.nodeSelector" (dict "inTplValues" .Values "service" "metricCollector") }}
{{- include "stacklight.tolerations" (dict "inTplValues" .Values "service" "metricCollector") }}
{{- end }}
